[MIR] cluster-agents

Bug #527155 reported by Ante Karamatić on 2010-02-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cluster-agents (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: cluster-agents

1. Availability: all

2. Rationale: The package helps meet https://blueprints.edge.launchpad.net/ubuntu/+spec/server-maverick-clusterstack blueprint goal. Needed binary packages are cluster-agents.

3. Security: No CVEs

4. QA: Ubuntu contains latest version from debian. Upstream is very active (http://hg.linux-ha.org/agents/). No Ubuntu bugs, 11 open bugs in Debian.

5. UI standards: none

6. Dependencies: most in main. MIRs for Universe packages:

https://bugs.edge.launchpad.net/ubuntu/+source/cluster-glue/+bug/527142

7. Standards: Lintian warnings:

W binary-without-manpage
     usr/sbin/ocf-tester
     usr/sbin/ocft
     usr/sbin/sfex_init
W copyright-refers-to-versionless-license-file
    usr/share/common-licenses/GPL
W dh-make-template-in-source
     debian/ldirectord.cf.ex
     ldirectord
W copyright-refers-to-versionless-license-file
     usr/share/common-licenses/GPL

Package is packaged with debhelper, and has no patching system. Source format is 3.0

8. Maintenance: easy

9. Background information: this package is one of dependencies for new cluster stack in Ubuntu. This package, cluster-glue and heartbeat together form what was known as heartbeat 2.99.

Martin Pitt (pitti) on 2010-02-24
Changed in cluster-agents (Ubuntu):
assignee: nobody → Kees Cook (kees)
Kees Cook (kees) wrote :

Rejected until cluster-glue is approved, which is rejected until libesmtp is approved, which is currently failing TLS.

Changed in cluster-agents (Ubuntu):
status: New → Incomplete
assignee: Kees Cook (kees) → nobody
Alexander Sack (asac) wrote :

remember to set back to NEW once libesmpt and cluster-glue are approved/clarified.

Changed in cluster-agents (Ubuntu):
status: Incomplete → In Progress
assignee: nobody → Andres Rodriguez (andreserl)
description: updated
description: updated
Changed in cluster-agents (Ubuntu):
status: In Progress → New
Kees Cook (kees) on 2010-08-06
Changed in cluster-agents (Ubuntu):
status: New → Incomplete
Colin Watson (cjwatson) wrote :

libesmtp has been promoted (bug 515996). There seems to be some disagreement about cluster-glue (bug 527142), but I think it's worth re-examining this package.

Changed in cluster-agents (Ubuntu):
status: Incomplete → New
Changed in cluster-agents (Ubuntu):
assignee: Andres Rodriguez (andreserl) → nobody
Alexander Sack (asac) wrote :

kees, you already looked at this last cycle. Please check again as it seems the environment might have changed.

Changed in cluster-agents (Ubuntu):
assignee: nobody → Kees Cook (kees)
Kees Cook (kees) wrote :

Please set this back to New once cluster-glue is in main.

Changed in cluster-agents (Ubuntu):
assignee: Kees Cook (kees) → nobody
status: New → Incomplete
Changed in cluster-agents (Ubuntu):
status: Incomplete → New
Michael Terry (mterry) wrote :

I looked at this a bit today. Packaging itself seems alright. There has been a (fixed) CVE since this MIR was written and it's a daemon, so I'd like to have Kees verify if he's looked at it recently. I couldn't quite tell from these bug comments.

In addition, the following Debian bugs seem problematic (several of the ocf scripts just won't work like expected):
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=538295
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=581073

The Debian maintainers don't seem very quick to fix such issues (presumably because of Debian freeze). Can someone from the Ubuntu HA team either look at those bugs and say they aren't important or patch them?

Changed in cluster-agents (Ubuntu):
assignee: nobody → Kees Cook (kees)
status: New → Incomplete
Michael Terry (mterry) wrote :

Filed bug 689944 about the ocf issues.

Matthias Klose (doko) wrote :

promoted. the outstanding issues are handled in bug #689944

2010-12-13 23:31:06 INFO Override Component to: 'main'
2010-12-13 23:31:15 INFO 'cluster-agents - 1:1.0.3-3.1/universe/admin' source overridden
2010-12-13 23:31:15 INFO 'cluster-agents-1:1.0.3-3.1/universe/admin/OPTIONAL' binary overridden in natty/amd64
2010-12-13 23:31:15 INFO 'cluster-agents-1:1.0.3-3.1/universe/admin/OPTIONAL' binary overridden in natty/armel
2010-12-13 23:31:15 INFO 'cluster-agents-1:1.0.3-3.1/universe/admin/OPTIONAL' binary overridden in natty/i386
2010-12-13 23:31:15 INFO 'cluster-agents-1:1.0.3-3.1/universe/admin/OPTIONAL' binary overridden in natty/powerpc
2010-12-13 23:31:16 INFO 'ldirectord-1:1.0.3-3.1/universe/admin/OPTIONAL' binary overridden in natty/amd64
2010-12-13 23:31:16 INFO 'ldirectord-1:1.0.3-3.1/universe/admin/OPTIONAL' binary overridden in natty/armel
2010-12-13 23:31:16 INFO 'ldirectord-1:1.0.3-3.1/universe/admin/OPTIONAL' binary overridden in natty/i386
2010-12-13 23:31:16 INFO 'ldirectord-1:1.0.3-3.1/universe/admin/OPTIONAL' binary overridden in natty/powerpc

Changed in cluster-agents (Ubuntu):
assignee: Kees Cook (kees) → nobody
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.